# NotificationsResource

Canonical page: https://docs.ovok.com/java-sdk/reference/notifications-resource

```java
public final class NotificationsResource
```

Reads Slim notifications and groups the alarm, out-of-bed, medical and note routes. Get it from [`SlimResource.notifications()`](/java-sdk/reference/slim-resource#notifications).

## Methods [#methods]

### alarms [#alarms]

```java
public AlarmsResource alarms()
```

Returns the alarm routes.

**Returns:** the alarm routes

### outOfBed [#outofbed]

```java
public OutOfBedResource outOfBed()
```

Returns the out-of-bed routes.

**Returns:** the out-of-bed routes

### medical [#medical]

```java
public MedicalNotificationsResource medical()
```

Returns the medical-notification routes.

**Returns:** the medical-notification routes

### notes [#notes]

```java
public NotificationNotesResource notes()
```

Returns the notification-note routes.

**Returns:** the notification-note routes

### list [#list]

```java
public JsonNode list(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException
```

Lists notifications (`GET /v1/slim/notifications`).

**Parameters:**

- `query`: query parameters, sent as given
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### recent [#recent]

```java
public JsonNode recent(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException
```

Lists recent notifications (`GET /v1/slim/notifications/recent`).

**Parameters:**

- `query`: query parameters, sent as given
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
